
 LinHES - Feature # 801: Add Blu-ray support

Status: Closed Priority: Normal
Author: goofee Category: Packages: Extra
Created: 12/03/2011 Assignee: cecil
Updated: 10/11/2016 Due date:
Description: As per mythtv 

wiki[[http://www.mythtv.org/wiki/High_Definition_Disk_Formats#Watching_With_the_Internal_Player_.28recom
mended.29]]

libaacs-20111203-1.src.tar.gz
byacc-noconflict-20101229-1.src.tar.gz (required by libaacs)
aacskeys-0.4.0c-5.src.tar.gz
premake-3.7-1.src.tar.gz (required by aacskeys)
dumphd-0.61-4.src.tar.gz (not needed but allows you to rip to hard drive)

Copy the contents of /usr/share/aacskeys/HostKeyCertificate.txt to ~/.mythtv/KEYDB.cfg HOST_PRIV_KEY 
and HOST_CERT values.
Copy the keys from /usr/share/aacskeys/ProcessingDeviceKeysSimple.txt to ~/.mythtv/KEYDB.cfg Processing 
Keys values. (additional keys available here 
http://ysk.orz.hm/BD/DeviceKey_MediaKey/ProcessingDeviceKeysSimple.txt)

Place optical_menu.xml and play-bluray.sh in ~/.mythtv/

Put a disc in and push 'Play Blu-ray'  it automatically picks the longest title track but you can press 'M' and 
navigate the titles.

Associated revisions
09/02/2012 08:48 pm - cecil
aacskeys:initial inclusion. closes #801

09/02/2012 08:48 pm - cecil
libaacs-git:initial inclusion. closes #801

09/02/2012 08:48 pm - cecil
premake:initial inclusion. closes #801

History
09/02/2012 08:28 pm - cecil
- Assignee set to cecil

- Category set to Packages: Extra

- % Done changed from 0 to 100

- Status changed from New to Closed

Using the testing repo, as of 9/2/12:
@sudo pacman -Sy libaacs-git aacskeys
wget -O /home/mythtv/.mythtv/KEYDB.cfg http://vlc-bluray.whoknowsmy.name/files/KEYDB.cfg@You'll now be able to play back Blurays using 
MythTV.
09/02/2012 08:28 pm - cecil
- Target version set to 7.5

Files
optical_menu.xml 1.6 kB 12/03/2011 goofee
play-bluray.sh 98 Bytes 12/03/2011 goofee
KEYDB.cfg 920 Bytes 12/03/2011 goofee
libaacs-20111203-1.src.tar.gz 723 Bytes 12/03/2011 goofee
byacc-noconflict-20101229-1.src.tar.gz 522 Bytes 12/03/2011 goofee
aacskeys-0.4.0c-5.src.tar.gz 813 Bytes 12/03/2011 goofee
premake-3.7-1.src.tar.gz 610 Bytes 12/03/2011 goofee
dumphd-0.61-4.src.tar.gz 889 Bytes 12/03/2011 goofee
